Cyberduck Mountain Duck CLI

#1076 closed defect (fixed)

Directory listing failure for file sizes given in Kb or MB

Reported by: gactr Owned by: dkocher
Priority: normal Milestone: 2.8.3
Component: ftp Version: 2.7.3
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

initially thought i was running into: #1007

but this scenario isn't triggered by lowercase:

# ftp-tls -z certsok -z private ftp://ftp:ftp@A.B.C.D/incoming/ 

Connected to A.B.C.D. 
220 ProFTPd A.B.C.D 
234 AUTH TLS successful 
[Starting SSL/TLS negotiation...] 
[Cipher: DHE-RSA-AES256-SHA (256 bits)] 
200 PBSZ 0 successful 
200 Protection set to Private 
Remote system type is UNIX. 
Using binary mode to transfer files. 
331 Anonymous login ok, send your complete email address as your password 
230 Anonymous access granted, restrictions apply 
200 Type set to I 
250 CWD command successful 
250 CWD command successful 
ftp> ls -al 
229 Entering Extended Passive Mode (|||62570|) 
150 Opening ASCII mode data connection for file list 
drwxrwxrwt 2 ftp operator 4.0k Mar 22 18:00 . 
dr-xr-xr-x 8 ftp operator 4.0k Dec 19 2005 .. 
-rw-rw-rw- 1 ftp operator 9.0M Mar 22 17:44 Cyberduck-2.7.3.dmg 
-rw-r--r-- 1 root wheel 8.7M Mar 10 14:49 Cyberduck-2897.tar.gz 
-rw-rw-rw- 1 ftp operator 61.8M Mar 7 18:42 GC Wayfinding pics.zip 
-rw-rw-rw- 1 ftp operator 172.4k Mar 7 16:01 HEALY071.TXT 
-rw-rw-rw- 1 ftp operator 9.9k Mar 7 16:31 HEALY072.TXT 
-rw-rw-rw- 1 ftp operator 2.9k Mar 22 13:52 LM test.pdf 
-rw-rw-rw- 1 ftp operator 2.9k Mar 22 13:51 testMDH.pdf 
-rw-rw-rw- 1 ftp operator 2.9k Mar 22 14:04 testMDH2.pdf 
226 Transfer complete 
ftp> quit 

2.7.3 fails to display this directory (and Cyberduck-2897.tar.gz)

Change History (5)

comment:1 Changed on Mar 23, 2007 at 3:22:48 AM by dkocher

  • Component changed from ftp-tls to ftp
  • Description modified (diff)

comment:2 Changed on Apr 26, 2007 at 8:59:10 AM by dkocher

The parser failure is triggered by the 2.9k, 9.0M etc. which are supposed to be in bytes.

comment:3 Changed on May 17, 2007 at 12:24:58 PM by dkocher

  • Summary changed from directory listing failure to Directory listing failure for file sizes given in Kb or MB

comment:4 Changed on Dec 19, 2007 at 8:09:24 PM by dkocher

  • Status changed from new to assigned

#1500 closed as duplicate.

comment:5 Changed on Dec 20, 2007 at 7:29:26 PM by dkocher

  • Milestone set to 2.8.3
  • Resolution set to fixed
  • Status changed from assigned to closed

Resolved in r3363.

Note: See TracTickets for help on using tickets.
swiss made software